package controleur;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;

import javax.sound.sampled.AudioSystem;
import javax.sound.sampled.Clip;
import javax.swing.JOptionPane;

import com.mashape.unirest.http.exceptions.UnirestException;

import vue.FenLog;
import info1.network.Network;
import info1.network.Player;

public class CoControleur implements ActionListener {
	private FenLog log;
	private String n;
	private LocalSave local_sav = new LocalSave("game_infos.json");
	
	
	public CoControleur(FenLog l, String s){
		this.log = l;
		this.n = s;
	}
	
	public void actionPerformed(ActionEvent e) {
		String t = log.getName();
		if(t.length() <= 25){
			Player p = new Player(t);
			log.SetPl(p);
		
			local_sav.createPseudo(t);
		
			/*try {
				local_sav.getPseudo();
			} catch (IOException e2) {
				e2.printStackTrace();
			}*/
		
			try {
				Network.suscribeNewPlayer(this.n, p);
				log.goCreateFlotte(log.getConfig());
				//log.goMenu();
			} catch (UnirestException e1) {
				e1.printStackTrace();
			}
		}
		else{
			JOptionPane.showMessageDialog(null, "Le nom est limité à 25 charactères");
		}
	}

}
