package controleur;

import java.awt.event.*;

import javax.swing.*;

import info1.network.Network;
import info1.network.Player;
import info1.ships.Coord;

import vue.FenLog;

public class ButtonGrilleHautControleur implements ActionListener{

	private FenLog log;
	public static final String HTTP_LOCALHOST = "http://37.187.38.219/api/v0";
	
	public ButtonGrilleHautControleur(FenLog log) {
		this.log=log;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		int v = -10;
		LocalSave l = new LocalSave("game_infos.json");
		log.disabledButton();
		JButton recup = (JButton) e.getSource();
		Coord coords;
		log.setResultatCoup("Chargement du tir...");
		try {
			coords = new Coord(recup.getName());
			int t = Network.getInfo(HTTP_LOCALHOST, log.getG(), log.getPL());

			if(t == -10){
				log.setResultatCoup("L'ennemie prépare son coup");
			}
			else if(t == -100) {
				log.setResultatCoup("perdu");
				l.adddef();
				
			}
			else {
				int tour = log.getCompt();
				if(tour > 0 || log.getPL() == log.getG().getGuest()){
					for(Player p : Network.listActivePlayers(HTTP_LOCALHOST)){
						String[] n = p.getName().split(":");
						boolean init = !(log.getPL() == log.getG().getInitiator());
						String s = log.getG().toString()+init+log.getCompt();
						if(n[0] == s){
							log.tir_recu(n[1], recup);
						}
					}
				}
				v = Network.playOneTurn(HTTP_LOCALHOST,log.getG(),log.getPL(),coords);
				if(v == 0){
					log.setResultatCoup("loupé");
					log.colorizeNone(recup);
				}
				if(v == 1){
					log.setResultatCoup("touché");
					log.colorizeTouch(recup);
					log.setdam(2);
				}
				if(v == 10){
					log.setResultatCoup("coulé");
					log.colorizeCoule(recup);
					log.setdam(2);
				}
				if(v == 100){
					log.colorizeCoule(recup);
					log.setResultatCoup("gagné");
					l.advic();
				}
				boolean init = log.getPL() == log.getG().getInitiator();
				String s = log.getG().toString()+init+log.getCompt()+":"+coords.toString();
				Network.suscribeNewPlayer(HTTP_LOCALHOST, new Player(s));
				log.incrCompt();
				
			}

			log.enabledButton();

		}
		catch(Exception e1){
			
		}
	}

}