package controleur;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JOptionPane;

import com.mashape.unirest.http.exceptions.UnirestException;

import vue.FenLog;
import info1.network.Game;
import info1.network.*;
import info1.ships.BadCoordException;
import info1.ships.UncompleteFleetException;

public class CreateControleur implements ActionListener {
	private FenLog log;
	private String n;
	
	
	public CreateControleur(FenLog l, String s){
		this.log = l;
		this.n = s;
	}
	
	public void actionPerformed(ActionEvent e) {
		if(log.getFlotte() != null){
			try {
				Game g = Network.initNewGame(n, log.getPL(), log.getFlotte());
				log.setG(g);
				log.goCombat();
				LocalSave l = new LocalSave("game_infos.json");
				l.addp();
				
			} catch (UnirestException | UncompleteFleetException | BadCoordException e1) {
				e1.printStackTrace();
			}
		}
		else{
			JOptionPane.showMessageDialog(null, "vous devez definir votre flotte");
		}
		
	}

}